Package org.apache.sysds.runtime.compress.colgroup.insertionsort

# Class AInsertionSorter

java.lang.Object
org.apache.sysds.runtime.compress.colgroup.insertionsort.AInsertionSorter

Direct Known Subclasses:
  `MaterializeSort`, `MergeSort`

public abstract class AInsertionSorter extends Object
This abstract class is for sorting the IntArrayList entries efficiently for SDC Column Groups construction. The idea is to construct an object, where the array is inserted along with a label, and the values are sorted at insertion time.

## Constructor Summary

Constructors
Constructor
Description
`AInsertionSorter(int endLength, int numRows, IntArrayList[] offsets)`
`AInsertionSorter(int endLength, int numRows, IntArrayList[] offsets, int negativeIndex)`

## Method Summary

Modifier and Type
Method
Description
`AMapToData`
`getData()`
`int[]`
`getIndexes()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AInsertionSorter

public AInsertionSorter(int endLength, int numRows, IntArrayList[] offsets)

### AInsertionSorter

public AInsertionSorter(int endLength, int numRows, IntArrayList[] offsets, int negativeIndex)

## Method Details

### getIndexes

public int[] getIndexes()

### getData

public AMapToData getData()